<bugID>585558<Summary>Fix first-tab, last-tab, beforeselected, afterselected; add beforehover, afterhover tab attributes</Summary><Description>tab.previousSibling, tab.nextSibling, tabContainer.firstChild, tabContainer.lastChild are in use by Firefox code and many extension.

when we have more then one group, this properties can return tab that is not visible.

this is unexpected result.

beforeselected, afterselected , first-tab, last-tab attribute can be wrong</Description></bugID>